function []=animinit1(namestr)

if (nargin == 0)
  namestr = 'Simulink Animation';
end

[existFlag,figNumber]=figflag(namestr);
    
if ~existFlag,
  % Now initialize the whole figure...
   figNumber=figure( ...
       'Name',namestr, ...
       'Color',[0.75 0.75 0.75],...
       'Position', [157 141 674 537], ...
       'NumberTitle','off', ...
       'BackingStore','off', ...
       'DoubleBuffer','on' );
    axes( ...
       'Units','normalized', ...
       'Visible','off', ...
       'DrawMode','fast');
end

cla reset;
set(gca,'DrawMode','fast');
axis off;
